<?xml version="1.0" encoding="UTF-16"?>
<!-- Encoding: Unicode (UTF-16); Line endings: CR+LF -->
<!-- Statistics rates -->
<!-- <Rate>[ID]: command ID ( required )-->
<Root ver="1">
 <Rate ID="1000" Type="Overall" Name="Overall rating" Unit="Could be better|OK|Good|Excellent" Precision="0" Formula="Overall rating = ( Net speed / Course goal: Speed ) * 100%"/>
 <Rate ID="1001" Type="Speed" Name="Speed" Unit="WPM" Description="words per minute" Precision="0" Formula="WPM =  ( Words without errors + Words with errors ) / Time spent in minutes"/>
 <Rate ID="1002" Type="Speed" Name="Speed" Unit="CPM" Description="characters per minute" Precision="0" Formula="CPM =  ( Characters without errors + Characters with errors ) / Time spent in minutes"/>
 <Rate ID="1003" Type="Speed" Name="Speed" Unit="KPM" Description="keystrokes per minute" Precision="0" Formula="KPM =  ( Exact keystrokes + Incorrect keystrokes ) / Time spent in minutes"/>
 <Rate ID="1004" Type="Speed" Name="Net speed" Unit="WPM" Description="words per minute" Precision="0" Formula="Net WPM = WPM - ( Words with errors / Time spent in minutes )"/>
 <Rate ID="1005" Type="Speed" Name="Net speed" Unit="CPM" Description="characters per minute" Precision="0" Formula="Net CPM = CPM - ( Characters with errors / Time spent in minutes )"/>
 <Rate ID="1006" Type="Speed" Name="Net speed" Unit="KPM" Description="keystrokes per minute" Precision="0" Formula="Net KPM = KPM - ( Incorrect keystrokes / Time spent in minutes )"/>
 <Rate ID="1101" Type="Speed" Name="Speed" Unit="WPS" Description="words per second" Precision="2" Formula="WPS = ( Words without errors + Words with errors ) / Time spent in seconds"/>
 <Rate ID="1102" Type="Speed" Name="Speed" Unit="CPS" Description="characters per second" Precision="2" Formula="CPS = ( Characters without errors + Characters with errors ) / Time spent in seconds"/>
 <Rate ID="1103" Type="Speed" Name="Speed" Unit="KPS" Description="keystrokes per second" Precision="2" Formula="KPS = ( Exact keystrokes + Incorrect keystrokes ) / Time spent in seconds"/>
 <Rate ID="1007" Type="Speed" Name="Net speed" Unit="WPS" Description="words per second" Precision="2" Formula="Net WPS = WPS - ( Words with errors  / Time spent in seconds )"/>
 <Rate ID="1008" Type="Speed" Name="Net speed" Unit="CPS" Description="characters per second" Precision="2" Formula="Net CPS = CPS - ( Characters with errors ) / Time spent in seconds"/>
 <Rate ID="1009" Type="Speed" Name="Net speed" Unit="KPS" Description="keystrokes per second" Precision="2" Formula="Net KPS = KPS - ( Incorrect keystrokes ) / Time spent in seconds"/>
 <Rate ID="4101" Type="Accuracy" Name="Accuracy" Unit="%" Description="words" Precision="1" Formula="Accuracy = ( 100% - Words with errors * 100%) / Total number of words"/>
 <Rate ID="2101" Type="Accuracy" Name="Accuracy" Unit="%" Description="characters" Precision="1" Formula="Accuracy = ( 100% - Characters with errors * 100%) / Total number of characters"/>
 <Rate ID="2001" Type="Accuracy" Name="Accuracy" Unit="%" Description="keystrokes" Precision="1" Formula="Accuracy = ( 100% - Incorrect keystrokes * 100%) / Total number of keystrokes"/>
 <Rate ID="4102" Type="Accuracy" Name="Errors" Unit="%" Description="words" Precision="1" Formula="Errors = Words with errors * 100% / Total number of words"/>
 <Rate ID="2102" Type="Accuracy" Name="Errors" Unit="%" Description="characters" Precision="1" Formula="Errors = Characters with errors * 100% / Total number of characters"/>
 <Rate ID="2002" Type="Accuracy" Name="Errors" Unit="%" Description="keystrokes" Precision="1" Formula="Errors = Incorrect keystrokes  * 100% / Total number of keystrokes"/>
 <Rate ID="4103" Type="Accuracy" Name="Slowdown" Unit="%" Description="words" Precision="1" Formula="Slowdown= Words with delay * 100% / Total number of words"/>
 <Rate ID="2103" Type="Accuracy" Name="Slowdown" Unit="%" Description="characters" Precision="1" Formula="Slowdown = Characters with delay * 100% / Total number of characters"/>
 <Rate ID="2003" Type="Accuracy" Name="Slowdown" Unit="%" Description="keystrokes" Precision="1" Formula="Slowdown= Keystrokes with delay * 100% / Total number of keystrokes"/>
 <Rate ID="3000" Type="Property" Name="Done" Unit="%" Precision="0"/>
 <Rate ID="3001" Type="Property" Name="Words typed"/>
 <Rate ID="3002" Type="Property" Name="Words fixed" Unit="%"/>
 <Rate ID="3003" Type="Property" Name="Characters typed"/>
 <Rate ID="3004" Type="Property" Name="Characters fixed" Unit="%"/>
 <Rate ID="3005" Type="Property" Name="Keystrokes"/>
 <Rate ID="3006" Type="Property" Name="Lessons completed"/>
 <Rate ID="3007" Type="Property" Name="Attempts made"/>
 <Rate ID="3008" Type="Property" Name="Time spent" Unit="min.|sec."/>
 <Rate ID="3009" Type="Property" Name="Last change"/>
</Root>